if test "$GISBASE" = ""; then
	echo "You must be in GRASS to run this program."
	exit
fi

g.ask type=old elem=vector prompt="Enter existing point vector name (with single category)" unixfile=cur_vector
. cur_vector
if [ ! "$file" ]
	then
    	exit
fi

MAP=${name}
TMP=${MAP}_tmp
FINAL=${MAP}_cats


g.ask type=old elem=cell_misc prompt="Enter raster map name for extracting values" unixfile=cur_raster
. cur_raster
if [ ! "$file" ]
    then
        exit
fi
RAST=${name}

echo "Creating new point vector map ${FINAL} with individual cat values..."
echo "...and uploading raster values from ${RAST} to the rast_val column"
echo ""
read -p "Press enter to continue, or Crtl C to quit"
 
v.category --v ${MAP} opt=report  
v.db.select --v ${MAP}   
v.category --v --overwrite ${MAP} opt=del out=${TMP} 
v.category --v ${TMP} opt=report  
v.db.select --v ${TMP}   
v.db.droptable --v ${TMP} -f  
v.db.select --v ${TMP}   
v.category --v --overwrite ${TMP} opt=add out=${FINAL} 
v.category --v ${FINAL} opt=report  
v.category --v ${FINAL} opt=print  
v.db.addtable --v ${FINAL} col="rast_val double precision"
v.info -c --v ${FINAL}  

v.what.rast --v ${FINAL} rast=${RAST} col=rast_val 
v.db.select --v ${FINAL}   

